Subject: Re: bug#1032: foreground-color in default-frame-alist affects tooltips, while background-color does not

From: martin rudalics <[email-masked]>
Date: Fri, 26 Sep 2008 18:13:10 +0200

> Yes, in the sense that now the text is readable: the whole tooltip is
 > white on black, as it is the Emacs frame, so the text is legible but
 > the tooltip is hard to tell apart from the background (see attached
 > image).

I noticed that too.  It's because border-color is not set as well.

 > I think default frame settings should not affect tooltips (perhaps
 > some mechanism like scroll-bar-{foreground|background} ?).

Can you produce a good tooltip by setting `tooltip-frame-parameters'
appropriately?  Here I can't.  For example, the following gets always
reset as

(background-color . "systeminfowindow")

martin